<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>TestingCardsLotModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1539pt" height="284pt"
 viewBox="0.00 0.00 1539.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-280 1535,-280 1535,4 -4,4"/>
<text text-anchor="start" x="744.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="531.5,-10 531.5,-30 551.5,-30 551.5,-10 531.5,-10"/>
<text text-anchor="start" x="555.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="644.5,-10 644.5,-30 664.5,-30 664.5,-10 644.5,-10"/>
<text text-anchor="start" x="668.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="730.5,-10 730.5,-30 750.5,-30 750.5,-10 730.5,-10"/>
<text text-anchor="start" x="754.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="827.5,-10 827.5,-30 847.5,-30 847.5,-10 827.5,-10"/>
<text text-anchor="start" x="851.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="923.5,-10 923.5,-30 943.5,-30 943.5,-10 923.5,-10"/>
<text text-anchor="start" x="947.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_TestingCardsLotModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-268 1523,-268 1523,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_TestingCardsLotModule_declarations</title>
<polygon fill="none" stroke="#000000" points="584,-78 584,-130 1515,-130 1515,-78 584,-78"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_TestingCardsLotModule_imports</title>
<polygon fill="none" stroke="#000000" points="462,-78 462,-130 576,-130 576,-78 462,-78"/>
</g>
<g id="clust8" class="cluster">
<title>cluster_TestingCardsLotModule_exports</title>
<polygon fill="none" stroke="#000000" points="225,-208 225,-260 1170,-260 1170,-208 225,-208"/>
</g>
<g id="clust10" class="cluster">
<title>cluster_TestingCardsLotModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 454,-130 454,-78 16,-78"/>
</g>
<!-- TestingCardsLotCardComponent -->
<g id="node1" class="node">
<title>TestingCardsLotCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1507.1371,-122 1304.8629,-122 1304.8629,-86 1507.1371,-86 1507.1371,-122"/>
<text text-anchor="middle" x="1406" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotCardComponent</text>
</g>
<!-- TestingCardsLotModule -->
<g id="node5" class="node">
<title>TestingCardsLotModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="791.6428,-187 788.6428,-191 767.6428,-191 764.6428,-187 638.3572,-187 638.3572,-151 791.6428,-151 791.6428,-187"/>
<text text-anchor="middle" x="715" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotModule</text>
</g>
<!-- TestingCardsLotCardComponent&#45;&gt;TestingCardsLotModule -->
<g id="edge1" class="edge">
<title>TestingCardsLotCardComponent&#45;&gt;TestingCardsLotModule</title>
<path fill="none" stroke="#000000" d="M1406,-122.1289C1406,-142.5724 1406,-173 1406,-173 1406,-173 801.9219,-173 801.9219,-173"/>
<polygon fill="#000000" stroke="#000000" points="801.9219,-169.5001 791.9219,-173 801.9219,-176.5001 801.9219,-169.5001"/>
</g>
<!-- TestingCardsLotDetailsComponent -->
<g id="node2" class="node">
<title>TestingCardsLotDetailsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1286.5772,-122 1071.4228,-122 1071.4228,-86 1286.5772,-86 1286.5772,-122"/>
<text text-anchor="middle" x="1179" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotDetailsComponent</text>
</g>
<!-- TestingCardsLotDetailsComponent&#45;&gt;TestingCardsLotModule -->
<g id="edge2" class="edge">
<title>TestingCardsLotDetailsComponent&#45;&gt;TestingCardsLotModule</title>
<path fill="none" stroke="#000000" d="M1116.7649,-122.2667C1116.7649,-140.5552 1116.7649,-166 1116.7649,-166 1116.7649,-166 801.9889,-166 801.9889,-166"/>
<polygon fill="#000000" stroke="#000000" points="801.989,-162.5001 791.9889,-166 801.9889,-169.5001 801.989,-162.5001"/>
</g>
<!-- TestingCardsLotListComponent -->
<g id="node3" class="node">
<title>TestingCardsLotListComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1053.7035,-122 856.2965,-122 856.2965,-86 1053.7035,-86 1053.7035,-122"/>
<text text-anchor="middle" x="955" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotListComponent</text>
</g>
<!-- TestingCardsLotListComponent&#45;&gt;TestingCardsLotModule -->
<g id="edge3" class="edge">
<title>TestingCardsLotListComponent&#45;&gt;TestingCardsLotModule</title>
<path fill="none" stroke="#000000" d="M897.3435,-122.0091C897.3435,-138.0494 897.3435,-159 897.3435,-159 897.3435,-159 801.8016,-159 801.8016,-159"/>
<polygon fill="#000000" stroke="#000000" points="801.8016,-155.5001 791.8016,-159 801.8015,-162.5001 801.8016,-155.5001"/>
</g>
<!-- TestingCardsLotSideBarItemComponent -->
<g id="node4" class="node">
<title>TestingCardsLotSideBarItemComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="838.1811,-122 591.8189,-122 591.8189,-86 838.1811,-86 838.1811,-122"/>
<text text-anchor="middle" x="715" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotSideBarItemComponent</text>
</g>
<!-- TestingCardsLotSideBarItemComponent&#45;&gt;TestingCardsLotModule -->
<g id="edge4" class="edge">
<title>TestingCardsLotSideBarItemComponent&#45;&gt;TestingCardsLotModule</title>
<path fill="none" stroke="#000000" d="M715,-122.1061C715,-122.1061 715,-140.991 715,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="711.5001,-140.9909 715,-150.991 718.5001,-140.991 711.5001,-140.9909"/>
</g>
<!-- TestingCardsLotCardComponent  -->
<g id="node7" class="node">
<title>TestingCardsLotCardComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="1162.1368,-252 955.8632,-252 955.8632,-216 1162.1368,-216 1162.1368,-252"/>
<text text-anchor="middle" x="1059" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotCardComponent </text>
</g>
<!-- TestingCardsLotModule&#45;&gt;TestingCardsLotCardComponent  -->
<g id="edge6" class="edge">
<title>TestingCardsLotModule&#45;&gt;TestingCardsLotCardComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M791.8914,-180C877.7362,-180 1004.7667,-180 1004.7667,-180 1004.7667,-180 1004.7667,-205.7181 1004.7667,-205.7181"/>
<polygon fill="#000000" stroke="#000000" points="1001.2667,-205.718 1004.7667,-215.7181 1008.2667,-205.7181 1001.2667,-205.718"/>
</g>
<!-- TestingCardsLotDetailsComponent  -->
<g id="node8" class="node">
<title>TestingCardsLotDetailsComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="938.0776,-252 719.9224,-252 719.9224,-216 938.0776,-216 938.0776,-252"/>
<text text-anchor="middle" x="829" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotDetailsComponent </text>
</g>
<!-- TestingCardsLotModule&#45;&gt;TestingCardsLotDetailsComponent  -->
<g id="edge7" class="edge">
<title>TestingCardsLotModule&#45;&gt;TestingCardsLotDetailsComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M755.7663,-187.1061C755.7663,-187.1061 755.7663,-205.991 755.7663,-205.991"/>
<polygon fill="#000000" stroke="#000000" points="752.2664,-205.9909 755.7663,-215.991 759.2664,-205.991 752.2664,-205.9909"/>
</g>
<!-- TestingCardsLotListComponent  -->
<g id="node9" class="node">
<title>TestingCardsLotListComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="701.2036,-252 500.7964,-252 500.7964,-216 701.2036,-216 701.2036,-252"/>
<text text-anchor="middle" x="601" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotListComponent </text>
</g>
<!-- TestingCardsLotModule&#45;&gt;TestingCardsLotListComponent  -->
<g id="edge8" class="edge">
<title>TestingCardsLotModule&#45;&gt;TestingCardsLotListComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M669.7653,-187.1061C669.7653,-187.1061 669.7653,-205.991 669.7653,-205.991"/>
<polygon fill="#000000" stroke="#000000" points="666.2653,-205.9909 669.7653,-215.991 673.2653,-205.991 666.2653,-205.9909"/>
</g>
<!-- TestingCardsLotSideBarItemComponent  -->
<g id="node10" class="node">
<title>TestingCardsLotSideBarItemComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="482.6812,-252 233.3188,-252 233.3188,-216 482.6812,-216 482.6812,-252"/>
<text text-anchor="middle" x="358" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotSideBarItemComponent </text>
</g>
<!-- TestingCardsLotModule&#45;&gt;TestingCardsLotSideBarItemComponent  -->
<g id="edge9" class="edge">
<title>TestingCardsLotModule&#45;&gt;TestingCardsLotSideBarItemComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M638.1646,-180C568.3893,-180 476.3147,-180 476.3147,-180 476.3147,-180 476.3147,-205.7181 476.3147,-205.7181"/>
<polygon fill="#000000" stroke="#000000" points="472.8148,-205.718 476.3147,-215.7181 479.8148,-205.7181 472.8148,-205.718"/>
</g>
<!-- SharedModule -->
<g id="node6" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="568.4231,-122 565.4231,-126 544.4231,-126 541.4231,-122 469.5769,-122 469.5769,-86 568.4231,-86 568.4231,-122"/>
<text text-anchor="middle" x="519" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;TestingCardsLotModule -->
<g id="edge5" class="edge">
<title>SharedModule&#45;&gt;TestingCardsLotModule</title>
<path fill="none" stroke="#000000" d="M534.4297,-122.0091C534.4297,-138.0494 534.4297,-159 534.4297,-159 534.4297,-159 628.1601,-159 628.1601,-159"/>
<polygon fill="#000000" stroke="#000000" points="628.1601,-162.5001 638.1601,-159 628.1601,-155.5001 628.1601,-162.5001"/>
</g>
<!-- OperationDataService -->
<g id="node11" class="node">
<title>OperationDataService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="349" cy="-104" rx="96.6656" ry="18"/>
<text text-anchor="middle" x="349" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationDataService</text>
</g>
<!-- OperationDataService&#45;&gt;TestingCardsLotModule -->
<g id="edge10" class="edge">
<title>OperationDataService&#45;&gt;TestingCardsLotModule</title>
<path fill="none" stroke="#000000" d="M349,-122.2667C349,-140.5552 349,-166 349,-166 349,-166 628.2744,-166 628.2744,-166"/>
<polygon fill="#000000" stroke="#000000" points="628.2744,-169.5001 638.2744,-166 628.2744,-162.5001 628.2744,-169.5001"/>
</g>
<!-- TestingCardsLotService -->
<g id="node12" class="node">
<title>TestingCardsLotService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="129" cy="-104" rx="104.7906" ry="18"/>
<text text-anchor="middle" x="129" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotService</text>
</g>
<!-- TestingCardsLotService&#45;&gt;TestingCardsLotModule -->
<g id="edge11" class="edge">
<title>TestingCardsLotService&#45;&gt;TestingCardsLotModule</title>
<path fill="none" stroke="#000000" d="M128.6321,-122.1289C128.6321,-142.5724 128.6321,-173 128.6321,-173 128.6321,-173 628.3426,-173 628.3426,-173"/>
<polygon fill="#000000" stroke="#000000" points="628.3427,-176.5001 638.3426,-173 628.3426,-169.5001 628.3427,-176.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/testing-cards-lot/testing-cards-lot.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/TestingCardsLotCardComponent.html">TestingCardsLotCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TestingCardsLotDetailsComponent.html">TestingCardsLotDetailsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TestingCardsLotListComponent.html">TestingCardsLotListComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TestingCardsLotSideBarItemComponent.html">TestingCardsLotSideBarItemComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/OperationDataService.html">OperationDataService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/TestingCardsLotService.html">TestingCardsLotService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Exports<a href="https://angular.io/api/core/NgModule#exports" target="_blank" title="Official documentation about module exports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/TestingCardsLotCardComponent.html">TestingCardsLotCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TestingCardsLotDetailsComponent.html">TestingCardsLotDetailsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TestingCardsLotListComponent.html">TestingCardsLotListComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TestingCardsLotSideBarItemComponent.html">TestingCardsLotSideBarItemComponent</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;
import { CovalentDialogsModule } from &#x27;@covalent/core&#x27;;
import { SharedModule } from &#x27;../../shared/shared.module&#x27;;
import { TestingCardsLotSideBarItemComponent } from &#x27;./side-bar-item/side-bar-item.component&#x27;;
import { RouterModule } from &#x27;@angular/router&#x27;;
import { OperationDataService } from &#x27;../service/operation.data.service&#x27;;
import { TestingCardsLotListComponent } from &#x27;./testing-cards-lot-list/testing-cards-lot-list.component&#x27;;
import { TestingCardsLotService } from &#x27;./service/testing-cards-lot.service&#x27;;
import { TestingCardsLotResolver } from &#x27;./service/testing-cards-lot.resolver&#x27;;
import { TestingCardsLotDetailsComponent } from &#x27;./testing-cards-lot-details/testing-cards-lot-details.component&#x27;;
import { TestingCardsLotCardComponent } from &#x27;./card/card.component&#x27;;


@NgModule({
  imports: [
    SharedModule,
    RouterModule,
    CovalentDialogsModule,
  ],
  declarations: [
    TestingCardsLotDetailsComponent,
    TestingCardsLotListComponent,
    TestingCardsLotCardComponent,
    TestingCardsLotSideBarItemComponent,
  ],
  providers: [
    OperationDataService,
    TestingCardsLotService,
    TestingCardsLotResolver,
  ],
  exports: [
    TestingCardsLotCardComponent,
    TestingCardsLotDetailsComponent,
    TestingCardsLotListComponent,
    TestingCardsLotSideBarItemComponent
  ]
})
export class TestingCardsLotModule {
}
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'TestingCardsLotModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
